#!/usr/bin/env python
# -*- coding: utf-8 -*-
import netrc
from blamlib.web import Twitter, Identica
from blamlib.helpers import test_case

authrc = netrc.netrc()
twitt_auth = authrc.hosts['twitter.com']
ident_auth = authrc.hosts['identi.ca']

#ident = Twitter( twitt_auth[0], twitt_auth[2] )
ident = Identica( ident_auth[0], ident_auth[2] )

test_case( "ident.get_version()", { 'ident': ident }, no_specific = True )
test_case( "ident.verify_credentials()", { 'ident': ident },
           wanted_result = True )
test_case( "ident.show_user( screen_name = '%s' )" % ident.user,
           { 'ident': ident }, no_specific = True )
#test_case( "ident.update( 'test that will be removed' )",
#           { 'ident': ident }, no_specific = True )

print "By screen_name"
test_case( "ident.get_friends_ids( screen_name = '%s' )" % ident.user,
           { 'ident': ident }, no_specific = True )
test_case( "ident.get_followers_ids( screen_name = '%s' )" % ident.user,
           { 'ident': ident }, no_specific = True )
test_case( "ident.show_user( screen_name = '%s' )" % ident.user,
           { 'ident': ident }, no_specific = True )

# print "By user_id"
# test_case( "ident.get_friends_ids( user_id = 94239 )",
#            { 'ident': ident }, no_specific = True )
# test_case( "ident.get_followers_ids( user_id = 94239 )",
#            { 'ident': ident }, no_specific = True )
# test_case( "ident.show_user( user_id = 94239 )",
#            { 'ident': ident }, no_specific = True )

exit()

print "server version: %s" % ident.get_version()
#ident = Twitter( "girh", "ondabarn" )
followers = ident.get_followers_ids()
#followers = ident.get_friends_ids()



print "%d 'people' are stalking %s" %( len( followers ), ident.user )
for stalker in followers:
    data = ident.show_user( user_id = stalker )
    print "%s (%s) %d" %( data['name'], data['screen_name'], data['id'] )
    print "  '%s'" %( data['location'] )
    print "  '%s'" %( data['url'] )
    print "  '%s'" %( data['description'] )
    print "  Last: '%s'" % data['status']['text']
    print "    via: '%s'" % data['status']['source']
